# PVideoInputDevice::Capabilities Struct Reference

`#include <videoio.h>`

List of all members.

## Public Attributes

std::list< PVideoFrameInfo > | framesizes
std::list< PVideoControlInfo > | controls
std::list< PVideoInteractionInfo > | interactions

## Member Data Documentation

std::list<PVideoControlInfo> PVideoInputDevice::Capabilities::controls

std::list<PVideoFrameInfo> PVideoInputDevice::Capabilities::framesizes

std::list<PVideoInteractionInfo> PVideoInputDevice::Capabilities::interactions

The documentation for this struct was generated from the following file:

- videoio.h